## kf6-knewstuff 6.12.0

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: KDE Contributors
# SPDX-License-Identifier: BSD-2-Clause

cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "6.12.0") # handled by release scripts
set(KF_DEP_VERSION "6.12.0") # handled by release scripts
project(KNewStuff VERSION ${KF_VERSION})

set(CMAKE_CXX_EXTENSIONS OFF)

include(FeatureSummary)
find_package(ECM 6.12.0 NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)

include(ECMQmlModule)
include(ECMQtDeclareLoggingCategory)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

set(REQUIRED_QT_VERSION 6.6.0)
find_package(Qt6 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED COMPONENTS Gui Widgets Xml Qml Quick QuickWidgets)
find_package(KF6Archive ${KF_DEP_VERSION} REQUIRED)
find_package(KF6Config ${KF_DEP_VERSION} REQUIRED)
find_package(KF6CoreAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF6I18n ${KF_DEP_VERSION} REQUIRED)
find_package(KF6Package ${KF_DEP_VERSION} REQUIRED)
find_package(KF6WidgetsAddons ${KF_DEP_VERSION} REQUIRED)

include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMAddQch)
include(ECMDeprecationSettings)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(CMakeDependentOption)

find_package(KF6Attica ${KF_DEP_VERSION} CONFIG REQUIRED)
set_package_properties(KF6Attica PROPERTIES DESCRIPTION "A Qt library that implements the Open Collaboration Services API"
                       PURPOSE "Support for Get Hot New Stuff in KNewStuff"
                       URL "https://commits.kde.org/attica"
                       TYPE REQUIRED
                      )
find_package(KF6Kirigami2 2.12.0)
set_package_properties(KF6Kirigami2 PROPERTIES
    DESCRIPTION "KDE's lightweight user interface framework for mobile and convergent applications"
    URL "https://techbase.kde.org/Kirigami"
    PURPOSE "Required by KNewStuffQuick's qml components"
    TYPE RUNTIME)

find_package(KF6Syndication ${KF6_DEP_VERSION})
set_package_properties(KF6Syndication PROPERTIES
    DESCRIPTION "KDE's RSS/Atom parser library"
    PURPOSE "Used by the OPDS provider to handle most of the parsing."
    TYPE OPTIONAL
)


option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

cmake_dependent_option(BUILD_DESIGNERPLUGIN "Build plugin for Qt Designer" ON "NOT CMAKE_CROSSCOMPILING" OFF)
add_feature_info(DESIGNERPLUGIN ${BUILD_DESIGNERPLUGIN} "Build plugin for Qt Designer")

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

ecm_setup_version(PROJECT VARIABLE_PREFIX KNEWSTUFF
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/knewstuff_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6NewStuffConfigVersion.cmake"
                        SOVERSION 6)
ecm_setup_version(PROJECT VARIABLE_PREFIX KNEWSTUFFCORE
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6NewStuffCoreConfigVersion.cmake"
                        SOVERSION 6)
ecm_setup_version(PROJECT VARIABLE_PREFIX KNEWSTUFFWIDGETS
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6NewStuffWidgetsConfigVersion.cmake"
                        SOVERSION 6)

add_definitions(-DTRANSLATION_DOMAIN=\"knewstuff6\")
ecm_set_disabled_deprecation_versions(
    QT 6.8.0
    KF 6.11.0
)

ki18n_install(po)
add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6NewStuff")
set(CMAKECONFIG_CORE_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6NewStuffCore")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF6NewStuff_QCH
        FILE KF6NewStuffQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF6NewStuffQchTargets.cmake\")")
    ecm_install_qch_export(
        TARGETS KF6NewStuffCore_QCH
        FILE KF6NewStuffCoreQchTargets.cmake
        DESTINATION "${CMAKECONFIG_CORE_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_CORE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF6NewStuffCoreQchTargets.cmake\")")
    # TODO: KF6NewStuffQuick
endif()

include(CMakePackageConfigHelpers)

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF6NewStuffConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6NewStuffConfig.cmake"
  INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF6NewStuffCoreConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6NewStuffCoreConfig.cmake"
  INSTALL_DESTINATION ${CMAKECONFIG_CORE_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF6NewStuffConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6NewStuffConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)
install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF6NewStuffCoreConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6NewStuffCoreConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_CORE_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF6NewStuffTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF6NewStuffTargets.cmake NAMESPACE KF6::)
install(EXPORT KF6NewStuffCoreTargets DESTINATION "${CMAKECONFIG_CORE_INSTALL_DIR}" FILE KF6NewStuffCoreTargets.cmake NAMESPACE KF6::)

install(
  FILES ${CMAKE_CURRENT_BINARY_DIR}/knewstuff_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KNewStuff
  COMPONENT Devel
)

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== src/qtquick/CMakeLists.txt ===
# SPDX-FileCopyrightText: KDE Contributors
# SPDX-License-Identifier: BSD-2-Clause

add_subdirectory(private)

add_library(knewstuff_qml_STATIC STATIC)
target_sources(knewstuff_qml_STATIC PRIVATE
    quickengine.cpp
    quicksettings.cpp
    quickitemsmodel.cpp
    quickquestionlistener.cpp
    searchpresetmodel.cpp
    categoriesmodel.cpp
    commentsmodel.cpp
)
ecm_qt_declare_logging_category(knewstuff_qml_STATIC
    HEADER knewstuffquick_debug.h
    IDENTIFIER KNEWSTUFFQUICK
    CATEGORY_NAME kf.newstuff.quick
    OLD_CATEGORY_NAMES org.kde.knewstuff.quick
    DESCRIPTION "knewstuff (qtquick)"
    EXPORT KNEWSTUFF
)

set_property(TARGET knewstuff_qml_STATIC PROPERTY POSITION_INDEPENDENT_CODE ON)
target_link_libraries(knewstuff_qml_STATIC PUBLIC
    Qt6::Core
    Qt6::Gui # QImage
    Qt6::Qml
    KF6::ConfigCore
    KF6::I18n
    KF6::NewStuffCore
)

ecm_add_qml_module(newstuffqmlplugin URI "org.kde.newstuff" VERSION 1.0)

target_sources(newstuffqmlplugin PRIVATE
    qmlplugin.cpp

    author.cpp
    downloadlinkinfo.cpp
)

ecm_target_qml_sources(newstuffqmlplugin VERSION 1.1 SOURCES
    qml/Button.qml
    qml/Dialog.qml
    qml/DialogContent.qml
    qml/DownloadItemsSheet.qml
    qml/EntryDetails.qml
    qml/Page.qml
    qml/QuestionAsker.qml
)

ecm_target_qml_sources(newstuffqmlplugin VERSION 1.81 SOURCES
    qml/Action.qml
)

ecm_target_qml_sources(newstuffqmlplugin VERSION 1.85 SOURCES
    qml/UploadPage.qml
)

ecm_target_qml_sources(newstuffqmlplugin PRIVATE PATH private SOURCES
    qml/private/ConditionalLoader.qml
    qml/private/EntryCommentDelegate.qml
    qml/private/EntryCommentsPage.qml
    qml/private/EntryScreenshots.qml
    qml/private/ErrorDisplayer.qml
    qml/private/GridTileDelegate.qml
    qml/private/Rating.qml
    qml/private/Shadow.qml
)

ecm_target_qml_sources(newstuffqmlplugin PRIVATE PATH private/entrygriddelegates SOURCES
    qml/private/entrygriddelegates/BigPreviewDelegate.qml
    qml/private/entrygriddelegates/FeedbackOverlay.qml
    qml/private/entrygriddelegates/TileDelegate.qml
)

target_link_libraries (newstuffqmlplugin PRIVATE knewstuff_qml_STATIC)

ecm_finalize_qml_module(newstuffqmlplugin DESTINATION ${KDE_INSTALL_QMLDIR})

## kf6-knewstuff 6.3.0

=== debian/changelog ===
kf6-knewstuff (6.3.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update missing dependencies for libkf6newstuff-dev.

 -- Patrick Franz <deltaone@debian.org>  Thu, 20 Jun 2024 20:28:34 +0200

kf6-knewstuff (6.3.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sun, 09 Jun 2024 14:59:22 +0200

kf6-knewstuff (6.0.0-3) experimental; urgency=medium

  * Team upload.
  * Update symbols files from the logs of buildds.

 -- Pino Toscano <pino@debian.org>  Wed, 15 May 2024 07:58:18 +0200

kf6-knewstuff (6.0.0-2) experimental; urgency=medium

  * Team upload.
  * Update symbols files from the logs of buildds.
  * Bump Standards-Version to 4.7.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Tue, 14 May 2024 16:15:42 +0200

kf6-knewstuff (6.0.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.0.0).
  * Update upstream signing-key.
  * Update build-deps and deps with the info from cmake.
  * Refresh patches.
  * Create new packages.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Tue, 30 Apr 2024 17:30:07 +0200

knewstuff (5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Enable LTO (Closes: #1015456).

 -- Patrick Franz <deltaone@debian.org>  Tue, 19 Mar 2024 00:07:07 +0100

knewstuff (5.107.0-2) unstable; urgency=medium

  * Team upload.

  [ Patrick Franz ]
  * Fix FTCFBS: Always build the designer plugin, thx to Helmut Grohne
    (Closes: #1057297).

 -- Patrick Franz <deltaone@debian.org>  Wed, 06 Dec 2023 18:56:16 +0100

knewstuff (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.105.0.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:45 +0200

knewstuff (5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:10:02 +0100

knewstuff (5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.
  * Update the list of installed files from build logs.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:31 +0100

knewstuff (5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.
  * Update symbols from build for 5.102.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:35:10 +0100

knewstuff (5.101.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.101.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Dec 2022 07:40:35 +0100

knewstuff (5.100.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.99.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.100.0).
  * Update build-deps and deps with the info from cmake.
  * Update the list of installed files from build logs.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:19:05 +0100

knewstuff (5.98.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.98.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Sep 2022 23:12:46 +0200

knewstuff (5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 18:55:40 +0200

knewstuff (5.96.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.96.0).
  * Drop patch upstream_b634b65d_fix-dialog-not-being-usable-in-
    konsole.patch, applied upstream.
  * Update the list of installed files from build logs.
  * Update symbols from build for 5.96.0.
  * Refresh lintian overrides.
  * Add patch for not setting the executable bit on installed desktop files.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 31 Jul 2022 13:33:09 +0200

knewstuff (5.94.0-2) unstable; urgency=medium

  * Backport upstream commit to fix broken get new themes dialog in Konsole.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Jun 2022 18:10:45 +0200

knewstuff (5.94.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.94.0).
  * Update symbols from build for 5.94.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 19 May 2022 23:59:07 +0200

knewstuff (5.93.0-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.6.1, no changes required.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically
    - drop all the manually specified addons and buildsystem for dh
  * Remove inactive Uploaders.
  * Fix libkf5newstuffwidgets5.symbols to be managed by pkgkde-symbolshelper.

 -- Pino Toscano <pino@debian.org>  Sun, 15 May 2022 08:23:00 +0200

knewstuff (5.93.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.93.0).
  * Drop knewstuff backend related patches, applied upstream.
  * Update symbols from build for 5.93.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 May 2022 23:22:48 +0200

knewstuff (5.90.0-2) unstable; urgency=medium

  * Team upload.


=== debian/control ===
Source: kf6-knewstuff
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               doxygen,
               extra-cmake-modules (>= 6.3.0~),
               gettext,
               libkf6archive-dev (>= 6.3.0~),
               libkf6attica-dev (>= 6.3.0~),
               libkf6config-dev (>= 6.3.0~),
               libkf6coreaddons-dev (>= 6.3.0~),
               libkf6i18n-dev (>= 6.3.0~),
               libkf6package-dev (>= 6.3.0~),
               libkf6syndication-dev (>= 6.0.0~),
               libkf6widgetsaddons-dev (>= 6.3.0~),
               libkirigami-dev (>= 2.12.0~),
               libxkbcommon-dev,
               qt6-base-dev (>= 6.5.0+dfsg~),
               qt6-base-private-dev (>= 6.5.0+dfsg~),
               qt6-declarative-dev (>= 6.5.0+dfsg~),
               qt6-declarative-private-dev (>= 6.5.0+dfsg~),
               qt6-tools-dev (>= 6.5.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/knewstuff
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-knewstuff
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-knewstuff.git
Rules-Requires-Root: no

Package: knewstuff-dialog6
Architecture: any
Depends: libkf6newstuff-data (= ${source:Version}),
         qml6-module-org-kde-newstuff (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Support for downloading application assets from the network
 Framework for downloading and sharing additional
 application data.
 .
 This package contains standalone tool for use by apps which don't
 want a hard dependency.

Package: libkf6newstuff-data
Architecture: all
Depends: ${misc:Depends},
Multi-Arch: foreign
Description: Support for downloading application assets from the network
 Framework for downloading and sharing additional
 application data.
 .
 This package contains the data files.

Package: libkf6newstuff-dev
Section: libdevel
Architecture: any
Depends: libkf6attica-dev (>= 6.3.0~),
         libkf6coreaddons-dev (>= 6.3.0~),
         libkf6newstuffcore6 (= ${binary:Version}),
         libkf6newstuffwidgets6 (= ${binary:Version}),
         qt6-base-dev (>= 6.5.0+dfsg~),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf6newstuff-doc (= ${source:Version}),
Description: development files for knewstuff
 Framework for downloading and sharing additional
 application data.
 .
 Contains development files for knewstuff.

Package: libkf6newstuff-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Support for downloading application assets from the network (documentation)
 Framework for downloading and sharing additional
 application data.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6newstuffcore6
Architecture: any
Multi-Arch: same
Depends: libkf6newstuff-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: qml6-module-org-kde-newstuff (= ${binary:Version}),
Description: Support for downloading application assets from the network
 Framework for idownloading and sharing additional
 application data.

Package: libkf6newstuffwidgets6
Architecture: any
Multi-Arch: same
Depends: libkf6newstuff-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Support for downloading application assets from the network
 Framework for idownloading and sharing additional
 application data.

Package: qml6-module-org-kde-newstuff
Architecture: any
Depends: qml6-module-org-kde-kirigami, ${misc:Depends}, ${shlibs:Depends},
Description: Support for downloading application assets from the network
 Framework for downloading and sharing additional
 application data.
 .
 This package contains the runtime files.

=== debian/rules ===
#!/usr/bin/make -f

# Disable fixfilepath, as it triggers build failures.
export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=-fixfilepath optimize=+lto

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON -DBUILD_DESIGNERPLUGIN=ON

override_dh_auto_test:
	xvfb-run -a dh_auto_test

## kf6-knewstuff 6.6.0

=== debian/changelog ===
kf6-knewstuff (6.6.0-2) unstable; urgency=medium

  * Team upload.
  * Use dh_qmldeps to detect QML dependencies.
  * Add qml6-module packages to -dev package for QML dependency detection.

 -- Sandro Knauß <hefee@debian.org>  Tue, 19 Nov 2024 11:14:05 +0100

kf6-knewstuff (6.6.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.6.0).
  * Update build-deps and deps with the info from cmake.
  * Exclude failing test.
  * Update symbols from build for 6.6.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Sep 2024 23:12:48 +0200

kf6-knewstuff (6.5.0-2) unstable; urgency=medium

  * Team upload.
  * Fix the 'acc' autopkgtest:
    - set -std=c++17, needed when using Qt 6
    - set the right paths with headers
  * CI: update/simplify configuration.

 -- Pino Toscano <pino@debian.org>  Tue, 20 Aug 2024 06:40:48 +0200

kf6-knewstuff (6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Aug 2024 23:22:10 +0200

kf6-knewstuff (6.4.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.0).
  * Update build-deps and deps with the info from cmake.
  * Review copyright information.
  * Ship desktop file in the same package as the knewstuff-dialog6 binary.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 19 Jul 2024 09:24:51 +0200

=== debian/control ===
--- 
+++ 
@@ -8,19 +8,21 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               dh-sequence-qmldeps,
                doxygen,
-               extra-cmake-modules (>= 6.3.0~),
+               extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libkf6archive-dev (>= 6.3.0~),
-               libkf6attica-dev (>= 6.3.0~),
-               libkf6config-dev (>= 6.3.0~),
-               libkf6coreaddons-dev (>= 6.3.0~),
-               libkf6i18n-dev (>= 6.3.0~),
-               libkf6package-dev (>= 6.3.0~),
+               libkf6archive-dev (>= 6.6.0~),
+               libkf6attica-dev (>= 6.6.0~),
+               libkf6config-dev (>= 6.6.0~),
+               libkf6coreaddons-dev (>= 6.6.0~),
+               libkf6i18n-dev (>= 6.6.0~),
+               libkf6package-dev (>= 6.6.0~),
                libkf6syndication-dev (>= 6.0.0~),
-               libkf6widgetsaddons-dev (>= 6.3.0~),
+               libkf6widgetsaddons-dev (>= 6.6.0~),
                libkirigami-dev (>= 2.12.0~),
                libxkbcommon-dev,
+               qml6-module-org-kde-kcmutils,
                qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-base-private-dev (>= 6.5.0+dfsg~),
                qt6-declarative-dev (>= 6.5.0+dfsg~),
@@ -60,10 +62,11 @@
 Package: libkf6newstuff-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6attica-dev (>= 6.3.0~),
-         libkf6coreaddons-dev (>= 6.3.0~),
+Depends: libkf6attica-dev (>= 6.6.0~),
+         libkf6coreaddons-dev (>= 6.6.0~),
          libkf6newstuffcore6 (= ${binary:Version}),
          libkf6newstuffwidgets6 (= ${binary:Version}),
+         qml6-module-org-kde-newstuff (= ${binary:Version}),
          qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
          ${shlibs:Depends},
@@ -108,7 +111,9 @@
 
 Package: qml6-module-org-kde-newstuff
 Architecture: any
-Depends: qml6-module-org-kde-kirigami, ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${qml6:Depends},
+         ${shlibs:Depends},
 Description: Support for downloading application assets from the network
  Framework for downloading and sharing additional
  application data.

## kf6-knewstuff 6.9.0

=== debian/changelog ===
kf6-knewstuff (6.9.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.9.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Dec 2024 14:47:55 +0000

kf6-knewstuff (6.8.0-0ubuntu2) plucky; urgency=medium

  * Merge changes from 6.6.0-2 in Debian unstable.
    - Use dh_qmldeps to detect QML dependencies.
    - Add qml6-module packages to -dev package for QML dependency
      detection.

 -- Rik Mills <rikmills@kde.org>  Sun, 01 Dec 2024 14:02:27 +0000

kf6-knewstuff (6.8.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.7.0)
  * New upstream release (6.8.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Nov 2024 16:37:12 +0000

kf6-knewstuff (6.6.0-0ubuntu2) oracular; urgency=medium

  * Fix last upload with updates lost in git my merge.
    - Refresh symbols all arches.

 -- Rik Mills <rikmills@kde.org>  Sat, 21 Sep 2024 17:39:39 +0100

kf6-knewstuff (6.6.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.6.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 20 Sep 2024 19:06:52 +0100

kf6-knewstuff (6.5.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.5.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Aug 2024 19:23:40 +0100

kf6-knewstuff (6.4.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.4.0)
  * Pass gcc option -std=c++17 to acc autopkgtests
  * Fix acc autopkgtest: correct headers names
  * Disable autotests at build time

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 13 Jul 2024 16:34:53 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kf6-knewstuff
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
@@ -10,19 +11,19 @@
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
                doxygen,
-               extra-cmake-modules (>= 6.6.0~),
+               extra-cmake-modules (>= 6.9.0~),
                gettext,
-               libkf6archive-dev (>= 6.6.0~),
-               libkf6attica-dev (>= 6.6.0~),
-               libkf6config-dev (>= 6.6.0~),
-               libkf6coreaddons-dev (>= 6.6.0~),
-               libkf6i18n-dev (>= 6.6.0~),
-               libkf6package-dev (>= 6.6.0~),
-               libkf6syndication-dev (>= 6.0.0~),
-               libkf6widgetsaddons-dev (>= 6.6.0~),
-               libkirigami-dev (>= 2.12.0~),
+               libkf6archive-dev (>= 6.9.0~),
+               libkf6attica-dev (>= 6.9.0~),
+               libkf6config-dev (>= 6.9.0~),
+               libkf6coreaddons-dev (>= 6.9.0~),
+               libkf6i18n-dev (>= 6.9.0~),
+               libkf6package-dev (>= 6.9.0~),
+               libkf6syndication-dev (>= 6.9.0~),
+               libkf6widgetsaddons-dev (>= 6.9.0~),
+               libkirigami-dev (>= 6.9.0~),
                libxkbcommon-dev,
-               qml6-module-org-kde-kcmutils,
+               qml6-module-org-kde-kcmutils (>= 6.9.0~),
                qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-base-private-dev (>= 6.5.0+dfsg~),
                qt6-declarative-dev (>= 6.5.0+dfsg~),
@@ -32,8 +33,8 @@
                xvfb <!nocheck>,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/knewstuff
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-knewstuff
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-knewstuff.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-knewstuff
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-knewstuff
 Rules-Requires-Root: no
 
 Package: knewstuff-dialog6
@@ -62,8 +63,8 @@
 Package: libkf6newstuff-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6attica-dev (>= 6.6.0~),
-         libkf6coreaddons-dev (>= 6.6.0~),
+Depends: libkf6attica-dev (>= 6.9.0~),
+         libkf6coreaddons-dev (>= 6.9.0~),
          libkf6newstuffcore6 (= ${binary:Version}),
          libkf6newstuffwidgets6 (= ${binary:Version}),
          qml6-module-org-kde-newstuff (= ${binary:Version}),

## kf6-knewstuff 6.10.0

=== debian/changelog ===
kf6-knewstuff (6.10.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.10.0)
  * Disable acc test for now.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2025 12:20:11 +0000

=== debian/control ===
--- 
+++ 
@@ -11,19 +11,19 @@
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
                doxygen,
-               extra-cmake-modules (>= 6.9.0~),
+               extra-cmake-modules (>= 6.10.0~),
                gettext,
-               libkf6archive-dev (>= 6.9.0~),
-               libkf6attica-dev (>= 6.9.0~),
-               libkf6config-dev (>= 6.9.0~),
-               libkf6coreaddons-dev (>= 6.9.0~),
-               libkf6i18n-dev (>= 6.9.0~),
-               libkf6package-dev (>= 6.9.0~),
-               libkf6syndication-dev (>= 6.9.0~),
-               libkf6widgetsaddons-dev (>= 6.9.0~),
-               libkirigami-dev (>= 6.9.0~),
+               libkf6archive-dev (>= 6.10.0~),
+               libkf6attica-dev (>= 6.10.0~),
+               libkf6config-dev (>= 6.10.0~),
+               libkf6coreaddons-dev (>= 6.10.0~),
+               libkf6i18n-dev (>= 6.10.0~),
+               libkf6package-dev (>= 6.10.0~),
+               libkf6syndication-dev (>= 6.10.0~),
+               libkf6widgetsaddons-dev (>= 6.10.0~),
+               libkirigami-dev (>= 6.10.0~),
                libxkbcommon-dev,
-               qml6-module-org-kde-kcmutils (>= 6.9.0~),
+               qml6-module-org-kde-kcmutils (>= 6.10.0~),
                qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-base-private-dev (>= 6.5.0+dfsg~),
                qt6-declarative-dev (>= 6.5.0+dfsg~),
@@ -63,8 +63,8 @@
 Package: libkf6newstuff-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6attica-dev (>= 6.9.0~),
-         libkf6coreaddons-dev (>= 6.9.0~),
+Depends: libkf6attica-dev (>= 6.10.0~),
+         libkf6coreaddons-dev (>= 6.10.0~),
          libkf6newstuffcore6 (= ${binary:Version}),
          libkf6newstuffwidgets6 (= ${binary:Version}),
          qml6-module-org-kde-newstuff (= ${binary:Version}),

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DBUILD_QCH=ON -DBUILD_DESIGNERPLUGIN=ON
+	dh_auto_configure -- -DBUILD_QCH=ON -DBUILD_DESIGNERPLUGIN=ON -DBUILD_TESTING=OFF
 
 override_dh_auto_test:
-	xvfb-run -a dh_auto_test
+	: xvfb-run -a dh_auto_test

## kf6-knewstuff 6.11.0

=== debian/changelog ===
kf6-knewstuff (6.11.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.11.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Feb 2025 17:25:16 +0100

kf6-knewstuff (6.10.0-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Fix symbols for hurd-i386, thx to Samuel Thibault (Closes:
    #1093624).

 -- Patrick Franz <deltaone@debian.org>  Tue, 21 Jan 2025 19:58:07 +0100

kf6-knewstuff (6.10.0-2) unstable; urgency=medium

  * Team upload.
  * debian/libkf6newstuffcore6.symbols: Reconfirm symbols.

 -- Boyuan Yang <byang@debian.org>  Mon, 13 Jan 2025 18:13:57 -0500

kf6-knewstuff (6.10.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.9.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.10.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 6.10.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 10 Jan 2025 23:27:10 +0100

kf6-knewstuff (6.8.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.8.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 04 Dec 2024 12:12:31 +0100

kf6-knewstuff (6.7.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Simon Quigley <tsimonq2@debian.org>  Sun, 03 Nov 2024 19:29:26 -0600

=== debian/control ===
--- 
+++ 
@@ -1,40 +1,39 @@
 Source: kf6-knewstuff
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
+               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.10.0~),
+               extra-cmake-modules (>= 6.11.0~),
                gettext,
-               libkf6archive-dev (>= 6.10.0~),
-               libkf6attica-dev (>= 6.10.0~),
-               libkf6config-dev (>= 6.10.0~),
-               libkf6coreaddons-dev (>= 6.10.0~),
-               libkf6i18n-dev (>= 6.10.0~),
-               libkf6package-dev (>= 6.10.0~),
-               libkf6syndication-dev (>= 6.10.0~),
-               libkf6widgetsaddons-dev (>= 6.10.0~),
-               libkirigami-dev (>= 6.10.0~),
+               libkf6archive-dev (>= 6.11.0~),
+               libkf6attica-dev (>= 6.11.0~),
+               libkf6config-dev (>= 6.11.0~),
+               libkf6coreaddons-dev (>= 6.11.0~),
+               libkf6i18n-dev (>= 6.11.0~),
+               libkf6package-dev (>= 6.11.0~),
+               libkf6syndication-dev (>= 6.0.0~),
+               libkf6widgetsaddons-dev (>= 6.11.0~),
+               libkirigami-dev (>= 2.12.0~),
                libxkbcommon-dev,
-               qml6-module-org-kde-kcmutils (>= 6.10.0~),
-               qt6-base-dev (>= 6.5.0+dfsg~),
+               qml6-module-org-kde-kcmutils,
+               qt6-base-dev (>= 6.6.0~),
                qt6-base-private-dev (>= 6.5.0+dfsg~),
-               qt6-declarative-dev (>= 6.5.0+dfsg~),
+               qt6-declarative-dev (>= 6.6.0~),
                qt6-declarative-private-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/knewstuff
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-knewstuff
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-knewstuff
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-knewstuff
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-knewstuff.git
 Rules-Requires-Root: no
 
 Package: knewstuff-dialog6
@@ -63,12 +62,12 @@
 Package: libkf6newstuff-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6attica-dev (>= 6.10.0~),
-         libkf6coreaddons-dev (>= 6.10.0~),
+Depends: libkf6attica-dev (>= 6.11.0~),
+         libkf6coreaddons-dev (>= 6.11.0~),
          libkf6newstuffcore6 (= ${binary:Version}),
          libkf6newstuffwidgets6 (= ${binary:Version}),
          qml6-module-org-kde-newstuff (= ${binary:Version}),
-         qt6-base-dev (>= 6.5.0+dfsg~),
+         qt6-base-dev (>= 6.6.0~),
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: libkf6newstuff-doc (= ${source:Version}),
@@ -112,9 +111,7 @@
 
 Package: qml6-module-org-kde-newstuff
 Architecture: any
-Depends: ${misc:Depends},
-         ${qml6:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: Support for downloading application assets from the network
  Framework for downloading and sharing additional
  application data.

## kf6-knewstuff 6.12.0

=== debian/changelog ===
kf6-knewstuff (6.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.12.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Mar 2025 10:53:13 +0000

kf6-knewstuff (6.11.0-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Build depend on current KF6 version packages.
    - knewstuff-dialog6 Breaks/Replaces libkf6newstuff-data (<< 6.11.0-1~)
    - Disable acc test.
    - Make build time tests non fatal.

 -- Rik Mills <rikmills@kde.org>  Wed, 12 Mar 2025 17:08:45 +0000

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,29 @@
 Source: kf6-knewstuff
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.11.0~),
+               extra-cmake-modules (>= 6.12.0~),
                gettext,
-               libkf6archive-dev (>= 6.11.0~),
-               libkf6attica-dev (>= 6.11.0~),
-               libkf6config-dev (>= 6.11.0~),
-               libkf6coreaddons-dev (>= 6.11.0~),
-               libkf6i18n-dev (>= 6.11.0~),
-               libkf6package-dev (>= 6.11.0~),
-               libkf6syndication-dev (>= 6.0.0~),
-               libkf6widgetsaddons-dev (>= 6.11.0~),
-               libkirigami-dev (>= 2.12.0~),
+               libkf6archive-dev (>= 6.12.0~),
+               libkf6attica-dev (>= 6.12.0~),
+               libkf6config-dev (>= 6.12.0~),
+               libkf6coreaddons-dev (>= 6.12.0~),
+               libkf6i18n-dev (>= 6.12.0~),
+               libkf6package-dev (>= 6.12.0~),
+               libkf6syndication-dev (>= 6.12.0~),
+               libkf6widgetsaddons-dev (>= 6.12.0~),
+               libkirigami-dev (>= 6.12.0~),
                libxkbcommon-dev,
-               qml6-module-org-kde-kcmutils,
+               qml6-module-org-kde-kcmutils (>= 6.12.0~),
                qt6-base-dev (>= 6.6.0~),
                qt6-base-private-dev (>= 6.5.0+dfsg~),
                qt6-declarative-dev (>= 6.6.0~),
@@ -32,8 +33,8 @@
                xvfb <!nocheck>,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/knewstuff
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-knewstuff
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-knewstuff.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-knewstuff
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-knewstuff
 Rules-Requires-Root: no
 
 Package: knewstuff-dialog6
@@ -42,6 +43,8 @@
          qml6-module-org-kde-newstuff (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
+Breaks: libkf6newstuff-data (<< 6.11.0-1~),
+Replaces: libkf6newstuff-data (<< 6.11.0-1~),
 Description: Support for downloading application assets from the network
  Framework for downloading and sharing additional
  application data.
@@ -62,8 +65,8 @@
 Package: libkf6newstuff-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6attica-dev (>= 6.11.0~),
-         libkf6coreaddons-dev (>= 6.11.0~),
+Depends: libkf6attica-dev (>= 6.12.0~),
+         libkf6coreaddons-dev (>= 6.12.0~),
          libkf6newstuffcore6 (= ${binary:Version}),
          libkf6newstuffwidgets6 (= ${binary:Version}),
          qml6-module-org-kde-newstuff (= ${binary:Version}),

## kf6-knewstuff 6.13.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,14 +3,14 @@
 
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.12.0") # handled by release scripts
-set(KF_DEP_VERSION "6.12.0") # handled by release scripts
+set(KF_VERSION "6.13.0") # handled by release scripts
+set(KF_DEP_VERSION "6.13.0") # handled by release scripts
 project(KNewStuff VERSION ${KF_VERSION})
 
 set(CMAKE_CXX_EXTENSIONS OFF)
 
 include(FeatureSummary)
-find_package(ECM 6.12.0 NO_MODULE)
+find_package(ECM 6.13.0 NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -82,8 +82,8 @@
 
 add_definitions(-DTRANSLATION_DOMAIN=\"knewstuff6\")
 ecm_set_disabled_deprecation_versions(
-    QT 6.8.0
-    KF 6.11.0
+    QT 6.9.0
+    KF 6.12.0
 )
 
 ki18n_install(po)

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: KDE Contributors
# SPDX-License-Identifier: BSD-2-Clause

add_subdirectory(core)

add_subdirectory(qtquick)
add_subdirectory(tools)

add_subdirectory(widgets)
ecm_qt_install_logging_categories(
    EXPORT KNEWSTUFF
    FILE knewstuff.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

=== debian/changelog ===
kf6-knewstuff (6.13.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.13.0).
  * Bump Standards-Version to 4.7.2 (No changes needed).
  * Update build-deps and deps with the info from cmake.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Apr 2025 19:38:06 +0200

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,28 @@
 Source: kf6-knewstuff
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
+               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.12.0~),
+               extra-cmake-modules (>= 6.13.0~),
                gettext,
-               libkf6archive-dev (>= 6.12.0~),
-               libkf6attica-dev (>= 6.12.0~),
-               libkf6config-dev (>= 6.12.0~),
-               libkf6coreaddons-dev (>= 6.12.0~),
-               libkf6i18n-dev (>= 6.12.0~),
-               libkf6package-dev (>= 6.12.0~),
-               libkf6syndication-dev (>= 6.12.0~),
-               libkf6widgetsaddons-dev (>= 6.12.0~),
-               libkirigami-dev (>= 6.12.0~),
+               libkf6archive-dev (>= 6.13.0~),
+               libkf6attica-dev (>= 6.13.0~),
+               libkf6config-dev (>= 6.13.0~),
+               libkf6coreaddons-dev (>= 6.13.0~),
+               libkf6i18n-dev (>= 6.13.0~),
+               libkf6package-dev (>= 6.13.0~),
+               libkf6syndication-dev (>= 6.0.0~),
+               libkf6widgetsaddons-dev (>= 6.13.0~),
+               libkirigami-dev (>= 2.12.0~),
                libxkbcommon-dev,
-               qml6-module-org-kde-kcmutils (>= 6.12.0~),
+               qml6-module-org-kde-kcmutils,
                qt6-base-dev (>= 6.6.0~),
                qt6-base-private-dev (>= 6.5.0+dfsg~),
                qt6-declarative-dev (>= 6.6.0~),
@@ -31,10 +30,10 @@
                qt6-tools-dev (>= 6.5.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/knewstuff
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-knewstuff
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-knewstuff
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-knewstuff
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-knewstuff.git
 Rules-Requires-Root: no
 
 Package: knewstuff-dialog6
@@ -43,8 +42,6 @@
          qml6-module-org-kde-newstuff (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
-Breaks: libkf6newstuff-data (<< 6.11.0-1~),
-Replaces: libkf6newstuff-data (<< 6.11.0-1~),
 Description: Support for downloading application assets from the network
  Framework for downloading and sharing additional
  application data.
@@ -65,8 +62,8 @@
 Package: libkf6newstuff-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6attica-dev (>= 6.12.0~),
-         libkf6coreaddons-dev (>= 6.12.0~),
+Depends: libkf6attica-dev (>= 6.13.0~),
+         libkf6coreaddons-dev (>= 6.13.0~),
          libkf6newstuffcore6 (= ${binary:Version}),
          libkf6newstuffwidgets6 (= ${binary:Version}),
          qml6-module-org-kde-newstuff (= ${binary:Version}),

## kf6-knewstuff 6.14.0

=== debian/changelog ===
kf6-knewstuff (6.14.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.14.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 10 May 2025 06:58:47 +0100

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,29 @@
 Source: kf6-knewstuff
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.13.0~),
+               extra-cmake-modules (>= 6.14.0~),
                gettext,
-               libkf6archive-dev (>= 6.13.0~),
-               libkf6attica-dev (>= 6.13.0~),
-               libkf6config-dev (>= 6.13.0~),
-               libkf6coreaddons-dev (>= 6.13.0~),
-               libkf6i18n-dev (>= 6.13.0~),
-               libkf6package-dev (>= 6.13.0~),
-               libkf6syndication-dev (>= 6.0.0~),
-               libkf6widgetsaddons-dev (>= 6.13.0~),
-               libkirigami-dev (>= 2.12.0~),
+               libkf6archive-dev (>= 6.14.0~),
+               libkf6attica-dev (>= 6.14.0~),
+               libkf6config-dev (>= 6.14.0~),
+               libkf6coreaddons-dev (>= 6.14.0~),
+               libkf6i18n-dev (>= 6.14.0~),
+               libkf6package-dev (>= 6.14.0~),
+               libkf6syndication-dev (>= 6.14.0~),
+               libkf6widgetsaddons-dev (>= 6.14.0~),
+               libkirigami-dev (>= 6.14.0~),
                libxkbcommon-dev,
-               qml6-module-org-kde-kcmutils,
+               qml6-module-org-kde-kcmutils (>= 6.14.0~),
                qt6-base-dev (>= 6.6.0~),
                qt6-base-private-dev (>= 6.5.0+dfsg~),
                qt6-declarative-dev (>= 6.6.0~),
@@ -30,10 +31,10 @@
                qt6-tools-dev (>= 6.5.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/knewstuff
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-knewstuff
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-knewstuff.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-knewstuff
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-knewstuff
 Rules-Requires-Root: no
 
 Package: knewstuff-dialog6
@@ -42,6 +43,8 @@
          qml6-module-org-kde-newstuff (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
+Breaks: libkf6newstuff-data (<< 6.11.0-1~),
+Replaces: libkf6newstuff-data (<< 6.11.0-1~),
 Description: Support for downloading application assets from the network
  Framework for downloading and sharing additional
  application data.
@@ -62,8 +65,8 @@
 Package: libkf6newstuff-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6attica-dev (>= 6.13.0~),
-         libkf6coreaddons-dev (>= 6.13.0~),
+Depends: libkf6attica-dev (>= 6.14.0~),
+         libkf6coreaddons-dev (>= 6.14.0~),
          libkf6newstuffcore6 (= ${binary:Version}),
          libkf6newstuffwidgets6 (= ${binary:Version}),
          qml6-module-org-kde-newstuff (= ${binary:Version}),
